# FoundationClasses
TKernel
Units

# Units_UnitsDictionary Class Reference

This class creates a dictionary of all the units
you want to know.
.

`#include <Units_UnitsDictionary.hxx>`

Inheritance diagram for Units_UnitsDictionary:

[legend]

## Public Member Functions

Standard_EXPORT | Units_UnitsDictionary ()
| Returns an empty instance of UnitsDictionary. .
Standard_EXPORT void | Creates (const Standard_CString afilename)
| Returns a UnitsDictionary object which contains the sequence of all the units you want to consider, physical quantity by physical quantity. .
Handle_Units_QuantitiesSequence | Sequence () const
| Returns the head of the sequence of physical quantities. .
Standard_EXPORT Standard_Boolean | UpToDate () const
| Returns true if there has been no modification of the file Units.dat since the creation of the dictionary object, false otherwise. .
Standard_EXPORT TCollection_AsciiString | ActiveUnit (const Standard_CString aquantity) const
| Returns for <aquantity> the active unit. .
void | Dump (const Standard_Integer alevel) const
| Dumps only the sequence of quantities without the units if <alevel> is equal to zero, and for each quantity all the units stored if <alevel> is equal to one. .
void | Dump (const Handle(Units_Dimensions)&adimensions) const
| Dumps for a designated physical dimensions <adimensions> all the previously stored units. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | thefilename
Standard_Integer | thetime
Handle_Units_QuantitiesSequence | thequantitiessequence

## Constructor & Destructor Documentation

Standard_EXPORT Units_UnitsDictionary::Units_UnitsDictionary | ( |  | ) |

## Member Function Documentation

Standard_EXPORT TCollection_AsciiString Units_UnitsDictionary::ActiveUnit | ( | const Standard_CString | aquantity | ) | const

Standard_EXPORT void Units_UnitsDictionary::Creates | ( | const Standard_CString | afilename | ) |

void Units_UnitsDictionary::Dump | ( | const Handle(Units_Dimensions)& | adimensions | ) | const`[inline]`

void Units_UnitsDictionary::Dump | ( | const Standard_Integer | alevel | ) | const`[inline]`

Standard_EXPORT const Units_UnitsDictionary::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Handle_Units_QuantitiesSequence Units_UnitsDictionary::Sequence | ( |  | ) | const

Standard_EXPORT Standard_Boolean Units_UnitsDictionary::UpToDate | ( |  | ) | const

## Field Documentation

Handle_TCollection_HAsciiString Units_UnitsDictionary::thefilename `[private]`

Handle_Units_QuantitiesSequence Units_UnitsDictionary::thequantitiessequence `[private]`

Standard_Integer Units_UnitsDictionary::thetime `[private]`

The documentation for this class was generated from the following files:

- Units_UnitsDictionary.hxx
- Units_UnitsDictionary.lxx